diff -Nurd kde-qt/config.tests/unix/3dnow/3dnow.pro kde-qt-new/config.tests/unix/3dnow/3dnow.pro
--- kde-qt/config.tests/unix/3dnow/3dnow.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/3dnow/3dnow.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = 3dnow.cpp
-CONFIG -= x11 qt
-mac:CONFIG -= app_bundle
+CONFIG -= x11 qt app_bundle
diff -Nurd kde-qt/config.tests/unix/clock-gettime/clock-gettime.pro kde-qt-new/config.tests/unix/clock-gettime/clock-gettime.pro
--- kde-qt/config.tests/unix/clock-gettime/clock-gettime.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/clock-gettime/clock-gettime.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = clock-gettime.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 include(clock-gettime.pri)
diff -Nurd kde-qt/config.tests/unix/clock-monotonic/clock-monotonic.pro kde-qt-new/config.tests/unix/clock-monotonic/clock-monotonic.pro
--- kde-qt/config.tests/unix/clock-monotonic/clock-monotonic.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/clock-monotonic/clock-monotonic.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = clock-monotonic.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 include(../clock-gettime/clock-gettime.pri)
diff -Nurd kde-qt/config.tests/unix/cups/cups.pro kde-qt-new/config.tests/unix/cups/cups.pro
--- kde-qt/config.tests/unix/cups/cups.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/cups/cups.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = cups.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lcups
diff -Nurd kde-qt/config.tests/unix/db2/db2.pro kde-qt-new/config.tests/unix/db2/db2.pro
--- kde-qt/config.tests/unix/db2/db2.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/db2/db2.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = db2.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -ldb2
diff -Nurd kde-qt/config.tests/unix/dbus/dbus.pro kde-qt-new/config.tests/unix/dbus/dbus.pro
--- kde-qt/config.tests/unix/dbus/dbus.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/dbus/dbus.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = dbus.cpp
-CONFIG -= qt
-mac:CONFIG -= app_bundle
+CONFIG -= qt app_bundle
diff -Nurd kde-qt/config.tests/unix/doubleformat/doubleformattest.pro kde-qt-new/config.tests/unix/doubleformat/doubleformattest.pro
--- kde-qt/config.tests/unix/doubleformat/doubleformattest.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/doubleformat/doubleformattest.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = doubleformattest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/endian/endiantest.pro kde-qt-new/config.tests/unix/endian/endiantest.pro
--- kde-qt/config.tests/unix/endian/endiantest.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/endian/endiantest.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = endiantest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/floatmath/floatmath.pro kde-qt-new/config.tests/unix/floatmath/floatmath.pro
--- kde-qt/config.tests/unix/floatmath/floatmath.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/floatmath/floatmath.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = floatmath.cpp
-CONFIG -= x11 qt
-
+CONFIG -= x11 qt app_bundle
diff -Nurd kde-qt/config.tests/unix/freetype/freetype.pro kde-qt-new/config.tests/unix/freetype/freetype.pro
--- kde-qt/config.tests/unix/freetype/freetype.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/freetype/freetype.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,5 +1,5 @@
 SOURCES = freetype.cpp
 CONFIG += x11
-CONFIG -= qt
+CONFIG -= qt app_bundle
 LIBS += -lfreetype
 include(freetype.pri)
diff -Nurd kde-qt/config.tests/unix/getaddrinfo/getaddrinfo.pro kde-qt-new/config.tests/unix/getaddrinfo/getaddrinfo.pro
--- kde-qt/config.tests/unix/getaddrinfo/getaddrinfo.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/getaddrinfo/getaddrinfo.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = getaddrinfotest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += $$QMAKE_LIBS_NETWORK
diff -Nurd kde-qt/config.tests/unix/getifaddrs/getifaddrs.pro kde-qt-new/config.tests/unix/getifaddrs/getifaddrs.pro
--- kde-qt/config.tests/unix/getifaddrs/getifaddrs.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/getifaddrs/getifaddrs.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,5 +1,4 @@
 SOURCES = getifaddrs.cpp
-CONFIG -= qt
-mac:CONFIG -= app_bundle
+CONFIG -= qt app_bundle
 QT =
 LIBS += $$QMAKE_LIBS_NETWORK
diff -Nurd kde-qt/config.tests/unix/glib/glib.pro kde-qt-new/config.tests/unix/glib/glib.pro
--- kde-qt/config.tests/unix/glib/glib.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/glib/glib.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,2 +1,2 @@
 SOURCES = glib.cpp
-CONFIG -= qt
+CONFIG -= qt app_bundle
diff -Nurd kde-qt/config.tests/unix/gnu-libiconv/gnu-libiconv.pro kde-qt-new/config.tests/unix/gnu-libiconv/gnu-libiconv.pro
--- kde-qt/config.tests/unix/gnu-libiconv/gnu-libiconv.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/gnu-libiconv/gnu-libiconv.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = gnu-libiconv.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -liconv
diff -Nurd kde-qt/config.tests/unix/gstreamer/gstreamer.pro kde-qt-new/config.tests/unix/gstreamer/gstreamer.pro
--- kde-qt/config.tests/unix/gstreamer/gstreamer.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/gstreamer/gstreamer.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,3 @@
 SOURCES = gstreamer.cpp
-CONFIG -= qt
+CONFIG -= qt app_bundle
 LIBS += -lgstinterfaces-0.10 -lgstvideo-0.10 -lgstbase-0.10
diff -Nurd kde-qt/config.tests/unix/ibase/ibase.pro kde-qt-new/config.tests/unix/ibase/ibase.pro
--- kde-qt/config.tests/unix/ibase/ibase.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/ibase/ibase.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = ibase.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lgds
diff -Nurd kde-qt/config.tests/unix/iconv/iconv.pro kde-qt-new/config.tests/unix/iconv/iconv.pro
--- kde-qt/config.tests/unix/iconv/iconv.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/iconv/iconv.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,4 @@
 SOURCES = iconv.cpp
 CONFIG -= qt dylib app_bundle
 mac:LIBS += -liconv
+darwin-*:LIBS += -liconv
diff -Nurd kde-qt/config.tests/unix/inotify/inotify.pro kde-qt-new/config.tests/unix/inotify/inotify.pro
--- kde-qt/config.tests/unix/inotify/inotify.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/inotify/inotify.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = inotifytest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/ipv6/ipv6.pro kde-qt-new/config.tests/unix/ipv6/ipv6.pro
--- kde-qt/config.tests/unix/ipv6/ipv6.pro	2009-06-25 12:37:50.000000000 -0400
+++ kde-qt-new/config.tests/unix/ipv6/ipv6.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = ipv6test.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/ipv6ifname/ipv6ifname.pro kde-qt-new/config.tests/unix/ipv6ifname/ipv6ifname.pro
--- kde-qt/config.tests/unix/ipv6ifname/ipv6ifname.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/ipv6ifname/ipv6ifname.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,5 +1,4 @@
 SOURCES = ipv6ifname.cpp
-CONFIG -= qt
-mac:CONFIG -= app_bundle
+CONFIG -= qt app_bundle
 QT =
 LIBS += $$QMAKE_LIBS_NETWORK
diff -Nurd kde-qt/config.tests/unix/largefile/largefile.pro kde-qt-new/config.tests/unix/largefile/largefile.pro
--- kde-qt/config.tests/unix/largefile/largefile.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/largefile/largefile.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES=largefiletest.cpp
-CONFIG-=qt dylib
-mac:CONFIG -= app_bundle
+CONFIG-=qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/libjpeg/libjpeg.pro kde-qt-new/config.tests/unix/libjpeg/libjpeg.pro
--- kde-qt/config.tests/unix/libjpeg/libjpeg.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/libjpeg/libjpeg.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = libjpeg.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -ljpeg
diff -Nurd kde-qt/config.tests/unix/libmng/libmng.pro kde-qt-new/config.tests/unix/libmng/libmng.pro
--- kde-qt/config.tests/unix/libmng/libmng.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/libmng/libmng.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = libmng.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lmng
diff -Nurd kde-qt/config.tests/unix/libpng/libpng.pro kde-qt-new/config.tests/unix/libpng/libpng.pro
--- kde-qt/config.tests/unix/libpng/libpng.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/libpng/libpng.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = libpng.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lpng
diff -Nurd kde-qt/config.tests/unix/libtiff/libtiff.pro kde-qt-new/config.tests/unix/libtiff/libtiff.pro
--- kde-qt/config.tests/unix/libtiff/libtiff.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/libtiff/libtiff.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = libtiff.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -ltiff
diff -Nurd kde-qt/config.tests/unix/mmx/mmx.pro kde-qt-new/config.tests/unix/mmx/mmx.pro
--- kde-qt/config.tests/unix/mmx/mmx.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/mmx/mmx.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = mmx.cpp
-CONFIG -= x11 qt
-mac:CONFIG -= app_bundle
+CONFIG -= x11 qt app_bundle
diff -Nurd kde-qt/config.tests/unix/mremap/mremap.pro kde-qt-new/config.tests/unix/mremap/mremap.pro
--- kde-qt/config.tests/unix/mremap/mremap.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/mremap/mremap.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = mremap.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/mysql/mysql.pro kde-qt-new/config.tests/unix/mysql/mysql.pro
--- kde-qt/config.tests/unix/mysql/mysql.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/mysql/mysql.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = mysql.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lmysqlclient
diff -Nurd kde-qt/config.tests/unix/mysql_r/mysql_r.pro kde-qt-new/config.tests/unix/mysql_r/mysql_r.pro
--- kde-qt/config.tests/unix/mysql_r/mysql_r.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/mysql_r/mysql_r.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = ../mysql/mysql.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lmysqlclient_r
diff -Nurd kde-qt/config.tests/unix/nis/nis.pro kde-qt-new/config.tests/unix/nis/nis.pro
--- kde-qt/config.tests/unix/nis/nis.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/nis/nis.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,5 +1,4 @@
 SOURCES = nis.cpp
-CONFIG -= qt dylib
-mac: CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 solaris-*:LIBS += -lnsl
 else:LIBS += $$QMAKE_LIBS_NIS
diff -Nurd kde-qt/config.tests/unix/oci/oci.pro kde-qt-new/config.tests/unix/oci/oci.pro
--- kde-qt/config.tests/unix/oci/oci.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/oci/oci.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = oci.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lclntsh
diff -Nurd kde-qt/config.tests/unix/odbc/odbc.pro kde-qt-new/config.tests/unix/odbc/odbc.pro
--- kde-qt/config.tests/unix/odbc/odbc.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/odbc/odbc.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = odbc.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lodbc
diff -Nurd kde-qt/config.tests/unix/openssl/openssl.pro kde-qt-new/config.tests/unix/openssl/openssl.pro
--- kde-qt/config.tests/unix/openssl/openssl.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/openssl/openssl.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = openssl.cpp
-CONFIG -= x11 qt
-mac:CONFIG -= app_bundle
+CONFIG -= x11 qt app_bundle
 include(openssl.pri)
diff -Nurd kde-qt/config.tests/unix/psql/psql.pro kde-qt-new/config.tests/unix/psql/psql.pro
--- kde-qt/config.tests/unix/psql/psql.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/psql/psql.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = psql.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lpq
diff -Nurd kde-qt/config.tests/unix/ptrsize/ptrsizetest.pro kde-qt-new/config.tests/unix/ptrsize/ptrsizetest.pro
--- kde-qt/config.tests/unix/ptrsize/ptrsizetest.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/ptrsize/ptrsizetest.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = ptrsizetest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/sqlite/sqlite.pro kde-qt-new/config.tests/unix/sqlite/sqlite.pro
--- kde-qt/config.tests/unix/sqlite/sqlite.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/sqlite/sqlite.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = sqlite.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/sqlite2/sqlite2.pro kde-qt-new/config.tests/unix/sqlite2/sqlite2.pro
--- kde-qt/config.tests/unix/sqlite2/sqlite2.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/sqlite2/sqlite2.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = sqlite2.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lsqlite
diff -Nurd kde-qt/config.tests/unix/sse/sse.pro kde-qt-new/config.tests/unix/sse/sse.pro
--- kde-qt/config.tests/unix/sse/sse.pro	2009-06-25 12:37:51.000000000 -0400
+++ kde-qt-new/config.tests/unix/sse/sse.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = sse.cpp
-CONFIG -= x11 qt
-mac:CONFIG -= app_bundle
+CONFIG -= x11 qt app_bundle
diff -Nurd kde-qt/config.tests/unix/sse2/sse2.pro kde-qt-new/config.tests/unix/sse2/sse2.pro
--- kde-qt/config.tests/unix/sse2/sse2.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/unix/sse2/sse2.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = sse2.cpp
-CONFIG -= x11 qt
-mac:CONFIG -= app_bundle
+CONFIG -= x11 qt app_bundle
diff -Nurd kde-qt/config.tests/unix/stl/stl.pro kde-qt-new/config.tests/unix/stl/stl.pro
--- kde-qt/config.tests/unix/stl/stl.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/unix/stl/stl.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,2 @@
 SOURCES = stltest.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
diff -Nurd kde-qt/config.tests/unix/tds/tds.pro kde-qt-new/config.tests/unix/tds/tds.pro
--- kde-qt/config.tests/unix/tds/tds.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/unix/tds/tds.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = tds.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lsybdb
diff -Nurd kde-qt/config.tests/unix/tslib/tslib.pro kde-qt-new/config.tests/unix/tslib/tslib.pro
--- kde-qt/config.tests/unix/tslib/tslib.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/unix/tslib/tslib.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,3 +1,3 @@
 SOURCES = tslib.cpp
-CONFIG -= qt 
+CONFIG -= qt app_bundle 
 LIBS += -lts
diff -Nurd kde-qt/config.tests/unix/zlib/zlib.pro kde-qt-new/config.tests/unix/zlib/zlib.pro
--- kde-qt/config.tests/unix/zlib/zlib.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/unix/zlib/zlib.pro	2009-06-28 09:57:30.000000000 -0400
@@ -1,4 +1,3 @@
 SOURCES = zlib.cpp
-CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+CONFIG -= qt dylib app_bundle
 LIBS += -lz
diff -Nurd kde-qt/config.tests/x11/opengl/opengl.pro kde-qt-new/config.tests/x11/opengl/opengl.pro
--- kde-qt/config.tests/x11/opengl/opengl.pro	2009-06-25 12:37:52.000000000 -0400
+++ kde-qt-new/config.tests/x11/opengl/opengl.pro	2009-06-28 09:57:30.000000000 -0400
@@ -7,4 +7,4 @@
 }
 
 CONFIG -= qt
-LIBS += -lGL -lGLU
+LIBS += -lGL -lGLU -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
diff -Nurd kde-qt/configure kde-qt-new/configure
--- kde-qt/configure	2009-06-25 12:37:53.000000000 -0400
+++ kde-qt-new/configure	2009-06-28 10:49:10.000000000 -0400
@@ -105,6 +105,7 @@
 #-------------------------------------------------------------------------------
 
 PLATFORM_X11=no
+PLATFORM_DARWIN=no
 PLATFORM_MAC=no
 PLATFORM_QWS=no
 
@@ -162,7 +163,7 @@
 #-------------------------------------------------------------------------------
 # check the license
 #-------------------------------------------------------------------------------
-COMMERCIAL_USER=ask
+COMMERCIAL_USER=no
 CFG_DEV=no
 CFG_NOKIA=no
 CFG_EMBEDDED=no
@@ -1176,6 +1177,7 @@
     x11)
         if [ "$PLATFORM_MAC" = "yes" ]; then
             PLATFORM_MAC=no
+            PLATFORM_DARWIN=yes
         elif [ "$PLATFORM_QWS" = "yes" ]; then
             PLATFORM_QWS=no
         fi
@@ -2747,7 +2749,7 @@
 fi
 
 QMAKE_CONF_COMPILER=`getQMakeConf "$XQMAKESPEC" | grep "^QMAKE_CXX[^_A-Z0-9]" | sed "s,.* *= *\(.*\)$,\1," | tail -1`
-TEST_COMPILER="$CC"
+TEST_COMPILER="$CXX"
 [ -z "$TEST_COMPILER" ] && TEST_COMPILER=$QMAKE_CONF_COMPILER
 
 # auto-detect precompiled header support
@@ -4160,6 +4162,9 @@
 		EXTRA_LFLAGS="$EXTRA_LFLAGS \$(SDK_LFLAGS)"
             fi
         fi
+	if [ "$PLATFORM_X11" = "yes" ] && [ "$PLATFORM_DARWIN" = "yes" ]; then
+	    EXTRA_CXXFLAGS="$EXTRA_CXXFLAGS -D__USE_WS_X11__"
+	fi
         [ "$CFG_EMBEDDED" != "no" ] && EXTRA_CFLAGS="$EXTRA_CFLAGS -DQWS"
         if [ '!' -z "$D_FLAGS" ]; then
             for DEF in $D_FLAGS; do
@@ -5082,7 +5087,7 @@
 fi # X11
 
 
-if [ "$PLATFORM_MAC" = "yes" ]; then
+if [ "$PLATFORM_MAC" = "yes" ] || [ "$PLATFORM_DARWIN" = "yes" ]; then
     if [ "$CFG_PHONON" != "no" ]; then
         # Always enable Phonon (unless it was explicitly disabled)
         CFG_PHONON=yes
@@ -5218,7 +5223,7 @@
 fi
 
 if [ "$CFG_ENDIAN" = "auto" ]; then
-    if [ "$PLATFORM_MAC" = "yes" ]; then
+    if [ "$PLATFORM_MAC" = "yes" ] || [ "$PLATFORM_DARWIN" = "yes" ]; then
 	true #leave as auto
     else
         "$unixtests/endian.test" "$XQMAKESPEC" $OPT_VERBOSE "$relpath" "$outpath"
@@ -5239,7 +5244,7 @@
 fi
 
 if [ "$CFG_HOST_ENDIAN" = "auto" ]; then
-    if [ "$PLATFORM_MAC" = "yes" ]; then
+    if [ "$PLATFORM_MAC" = "yes" ] || [ "$PLATFORM_DARWIN" = "yes" ]; then
 	true #leave as auto
     else
         "$unixtests/endian.test" "$QMAKESPEC" $OPT_VERBOSE "$relpath" "$outpath"
@@ -5762,7 +5767,7 @@
     QT_CONFIG="$QT_CONFIG freetype"
 fi
 
-if [ "x$PLATFORM_MAC" = "xyes" ]; then
+if [ "x$PLATFORM_MAC" = "xyes" ] || [ "x$PLATFORM_DARWIN" = "xyes" ]; then
     #On Mac we implicitly link against libz, so we
     #never use the 3rdparty stuff.
     [ "$CFG_ZLIB" = "yes" ] && CFG_ZLIB="system"
@@ -5839,7 +5844,7 @@
 [ '!' -z "$L_FLAGS" ] && QMakeVar add QMAKE_LIBDIR_FLAGS "$L_FLAGS"
 [ '!' -z "$l_FLAGS" ] && QMakeVar add LIBS "$l_FLAGS"
 
-if [ "$PLATFORM_MAC" = "yes" ]; then
+if [ "$PLATFORM_MAC" = "yes" ] || [ "$PLATFORM_DARWIN" = "yes" ]; then
     if [ "$CFG_RPATH" = "yes" ]; then
        QMAKE_CONFIG="$QMAKE_CONFIG absolute_library_soname"
     fi
@@ -6370,7 +6375,7 @@
     echo "#define QT_MAC_FRAMEWORK_BUILD" >>"$outpath/src/corelib/global/qconfig.h.new"
 fi
 
-if [ "$PLATFORM_MAC" = "yes" ]; then
+if [ "$PLATFORM_MAC" = "yes" ] || [ "$PLATFORM_DARWIN" = "yes" ]; then
     cat >>"$outpath/src/corelib/global/qconfig.h.new" <<EOF
 #if defined(__LP64__)
 # define QT_POINTER_SIZE 8
diff -Nurd kde-qt/configure-for-fink.sh kde-qt-new/configure-for-fink.sh
--- kde-qt/configure-for-fink.sh	1969-12-31 19:00:00.000000000 -0500
+++ kde-qt-new/configure-for-fink.sh	2009-06-28 09:57:30.000000000 -0400
@@ -0,0 +1,57 @@
+#!/bin/sh -e
+
+MYDIR=`dirname $0`
+TOPDIR=`cd $MYDIR; pwd`
+
+FINKPREFIX="$1"; shift
+PKGNAME="$1"; shift
+
+if [ -z "$FINKPREFIX" ] || [ -z "$PKGNAME" ]; then
+	echo "usage: $0 <fink_prefix> <pkgname>"
+	exit 1
+fi
+
+QTDIR=`pwd`
+PATH="$QTDIR/bin:$FINKPREFIX/lib/freetype219/bin:$PATH"
+
+EXTRA_ARGS=""
+
+[ -z "$CC"  ] && CC=gcc-4.0
+[ -z "$CXX" ] && CXX=g++-4.0
+
+if [ "$PKGNAME" = "qt4-x11" ]; then
+	EXTRA_ARGS="-x11 -platform darwin-g++ -xplatform darwin-g++"
+else
+	EXTRA_ARGS="-platform macx-g++ -xplatform macx-g++"
+fi
+
+case `sw_vers -productVersion` in
+	10.[01234]*)
+		;;
+	*)
+		LDFLAGS="$LDFLAGS -Wl,-dead_strip_dylibs"
+		;;
+esac
+
+export FINKPREFIX QTDIR PATH LIBRESOLV CC CXX EXTRA_ARGS LDFLAGS
+
+echo "yes" | sh $TOPDIR/configure \
+	"-I$FINKPREFIX/lib/system-openssl/include" "-L$FINKPREFIX/lib/system-openssl/lib" \
+	"-I$FINKPREFIX/lib/freetype219/include" "-I$FINKPREFIX/lib/freetype219/include/freetype2" "-L$FINKPREFIX/lib/freetype219/lib" \
+	"-I$FINKPREFIX/lib/fontconfig2/include" "-I$FINKPREFIX/lib/fontconfig2/include" "-L$FINKPREFIX/lib/fontconfig2/lib" \
+	"-I$FINKPREFIX/include" -isystem /usr/X11R6/include "-L$FINKPREFIX/lib" "-L/usr/X11R6/lib" \
+	-prefix "$FINKPREFIX/lib/$PKGNAME" -docdir "$FINKPREFIX/share/doc/$PKGNAME" \
+	-no-fast -webkit -openssl-linked -reduce-exports \
+	-exceptions -qt-gif -system-freetype -phonon -phonon-backend \
+	-no-sql-ibase -no-sql-mysql -no-sql-odbc -no-sql-psql \
+	-plugin-sql-sqlite -dbus-linked $EXTRA_ARGS "$@"
+
+# don't link against older versions of self
+/usr/bin/find . -name Makefile -print0 | xargs -0 perl -pi -e "s,-L$FINKPREFIX/lib/$PKGNAME/lib,,g"
+
+# attempt to counterfix qmake's warped fileFixify logic that makes install break
+# when $FINKPREFIX is a symlink and something exists already at -libdir or -datadir etc
+pushd $FINKPREFIX;
+	FixifiedSW=`/bin/pwd`;
+popd
+/usr/bin/find . -name Makefile -print0 | xargs -0 perl -pi -e "s,\\$\\(INSTALL_ROOT\\)$FixifiedSW,\\$\\(INSTALL_ROOT\\)$FINKPREFIX,g"
diff -Nurd kde-qt/mkspecs/common/mac.conf kde-qt-new/mkspecs/common/mac.conf
--- kde-qt/mkspecs/common/mac.conf	2009-06-25 13:23:36.000000000 -0400
+++ kde-qt-new/mkspecs/common/mac.conf	2009-06-28 09:57:30.000000000 -0400
@@ -18,7 +18,7 @@
 QMAKE_RPATH		=
 
 QMAKE_LIBS_DYNLOAD	=
-QMAKE_LIBS_OPENGL	= -framework OpenGL -framework AGL
+QMAKE_LIBS_OPENGL	= -framework OpenGL -framework AGL -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
 QMAKE_LIBS_OPENGL_QT	= $$QMAKE_LIBS_OPENGL
 QMAKE_LIBS_THREAD	=
 
diff -Nurd kde-qt/mkspecs/darwin-g++/qmake.conf kde-qt-new/mkspecs/darwin-g++/qmake.conf
--- kde-qt/mkspecs/darwin-g++/qmake.conf	2009-06-25 12:38:25.000000000 -0400
+++ kde-qt-new/mkspecs/darwin-g++/qmake.conf	2009-06-28 09:57:30.000000000 -0400
@@ -6,7 +6,7 @@
 
 MAKEFILE_GENERATOR	= UNIX
 TEMPLATE		= app
-CONFIG			+= qt warn_on release link_prl native_precompiled_headers
+CONFIG			+= qt warn_on release lib_version_first link_prl native_precompiled_headers
 QT			+= core gui
 DEFINES                 += __USE_WS_X11__
 
@@ -69,12 +69,13 @@
 QMAKE_LFLAGS_COMPAT_VERSION = -compatibility_version$${LITERAL_WHITESPACE}
 
 QMAKE_RPATH		=
+QMAKE_FIX_RPATH		= install_name_tool -id 
 
 QMAKE_LIBS_DYNLOAD	=
 QMAKE_LIBS_X11		= -lXext -lX11 -lm
 QMAKE_LIBS_X11SM	= -lSM -lICE
-QMAKE_LIBS_OPENGL	= -lGLU -lGL
-QMAKE_LIBS_OPENGL_QT	= -lGL
+QMAKE_LIBS_OPENGL	= -lGLU -lGL -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
+QMAKE_LIBS_OPENGL_QT	= -lGL -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
 QMAKE_LIBS_THREAD	=
 
 QMAKE_MOC		= $$[QT_INSTALL_BINS]/moc
diff -Nurd kde-qt/qmake/generators/mac/pbuilder_pbx.cpp kde-qt-new/qmake/generators/mac/pbuilder_pbx.cpp
--- kde-qt/qmake/generators/mac/pbuilder_pbx.cpp	2009-06-25 12:38:26.000000000 -0400
+++ kde-qt-new/qmake/generators/mac/pbuilder_pbx.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -52,7 +52,7 @@
 #  include <sys/types.h>
 #  include <sys/stat.h>
 #endif
-#ifdef Q_OS_DARWIN
+#ifdef Q_OS_MAC
 #include <ApplicationServices/ApplicationServices.h>
 #include <private/qcore_mac_p.h>
 #endif
@@ -1689,7 +1689,7 @@
     } else {
         QString version, version_plist = project->first("QMAKE_PBUILDER_VERSION_PLIST");
         if(version_plist.isEmpty()) {
-#ifdef Q_OS_DARWIN
+#ifdef Q_OS_MAC
             ret = QLatin1String("34");
             QCFType<CFURLRef> cfurl;
             OSStatus err = LSFindApplicationForInfo(0, CFSTR("com.apple.Xcode"), 0, 0, &cfurl);
diff -Nurd kde-qt/qmake/main.cpp kde-qt-new/qmake/main.cpp
--- kde-qt/qmake/main.cpp	2009-06-25 12:38:26.000000000 -0400
+++ kde-qt-new/qmake/main.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -59,8 +59,6 @@
 
 // for Borland, main is defined to qMain which breaks qmake
 #undef main
-#ifdef Q_OS_MAC
-#endif
 
 /* This is to work around lame implementation on Darwin. It has been noted that the getpwd(3) function
    is much too slow, and called much too often inside of Qt (every fileFixify). With this we use a locally
diff -Nurd kde-qt/src/3rdparty/webkit/WebKit/qt/Api/qwebpage.cpp kde-qt-new/src/3rdparty/webkit/WebKit/qt/Api/qwebpage.cpp
--- kde-qt/src/3rdparty/webkit/WebKit/qt/Api/qwebpage.cpp	2009-06-25 12:38:57.000000000 -0400
+++ kde-qt-new/src/3rdparty/webkit/WebKit/qt/Api/qwebpage.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -2368,7 +2368,7 @@
     "AIX"
 #elif defined Q_OS_WIN32
     "%2"
-#elif defined Q_OS_DARWIN
+#elif defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #ifdef __i386__ || __x86_64__
     "Intel Mac OS X"
 #else
diff -Nurd kde-qt/src/corelib/codecs/codecs.pri kde-qt-new/src/corelib/codecs/codecs.pri
--- kde-qt/src/corelib/codecs/codecs.pri	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/codecs/codecs.pri	2009-06-28 09:57:32.000000000 -0400
@@ -24,6 +24,7 @@
         contains(QT_CONFIG,iconv) {
                 HEADERS += codecs/qiconvcodec_p.h
                 SOURCES += codecs/qiconvcodec.cpp
+                LIBS += -liconv
         } else:contains(QT_CONFIG,gnu-libiconv) {
                 HEADERS += codecs/qiconvcodec_p.h
                 SOURCES += codecs/qiconvcodec.cpp
diff -Nurd kde-qt/src/corelib/codecs/qiconvcodec.cpp kde-qt-new/src/corelib/codecs/qiconvcodec.cpp
--- kde-qt/src/corelib/codecs/qiconvcodec.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/codecs/qiconvcodec.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -62,7 +62,7 @@
 #elif defined(Q_OS_AIX)
 #  define NO_BOM
 #  define UTF16 "UCS-2"
-#elif defined(Q_OS_MAC)
+#elif defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #  define NO_BOM
 #  if Q_BYTE_ORDER == Q_BIG_ENDIAN
 #    define UTF16 "UTF-16BE"
diff -Nurd kde-qt/src/corelib/concurrent/qtconcurrentiteratekernel.cpp kde-qt-new/src/corelib/concurrent/qtconcurrentiteratekernel.cpp
--- kde-qt/src/corelib/concurrent/qtconcurrentiteratekernel.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/concurrent/qtconcurrentiteratekernel.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -41,7 +41,7 @@
 
 #include "qtconcurrentiteratekernel.h"
 
-#if defined(Q_OS_MAC)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 
 #include <mach/mach.h>
 #include <mach/mach_time.h>
@@ -68,7 +68,7 @@
     MedianSize = 7
 };
 
-#if defined(Q_OS_MAC)
+#if defined(Q_OS_DARWIN) | defined(Q_OS_MAC)
 
 static qint64 getticks()
 {
diff -Nurd kde-qt/src/corelib/corelib.pro kde-qt-new/src/corelib/corelib.pro
--- kde-qt/src/corelib/corelib.pro	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/corelib.pro	2009-06-28 09:57:32.000000000 -0400
@@ -16,7 +16,7 @@
 include(codecs/codecs.pri)
 include(xml/xml.pri)
 
-mac|darwin:LIBS += -framework ApplicationServices
+mac:LIBS += -framework ApplicationServices
 
 mac:lib_bundle:DEFINES += QT_NO_DEBUG_PLUGIN_CHECK
 win32:DEFINES-=QT_NO_CAST_TO_ASCII
diff -Nurd kde-qt/src/corelib/global/qglobal.cpp kde-qt-new/src/corelib/global/qglobal.cpp
--- kde-qt/src/corelib/global/qglobal.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/global/qglobal.cpp	2009-06-28 10:05:03.000000000 -0400
@@ -1176,7 +1176,7 @@
     \macro Q_OS_DARWIN
     \relates <QtGlobal>
 
-    Defined on Darwin OS (synonym for Q_OS_MAC).
+    Defined on Darwin OS.
 */
 
 /*!
diff -Nurd kde-qt/src/corelib/global/qglobal.h kde-qt-new/src/corelib/global/qglobal.h
--- kde-qt/src/corelib/global/qglobal.h	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/global/qglobal.h	2009-06-28 10:06:23.000000000 -0400
@@ -128,7 +128,7 @@
 
 #endif /* __cplusplus */
 
-#if defined(Q_OS_MAC) && !defined(Q_CC_INTEL)
+#if ( defined(Q_OS_DARWIN) || defined(Q_OS_MAC) ) && !defined(Q_CC_INTEL)
 #define QT_BEGIN_HEADER extern "C++" {
 #define QT_END_HEADER }
 #define QT_BEGIN_INCLUDE_HEADER }
@@ -143,7 +143,7 @@
 /*
    The operating system, must be one of: (Q_OS_x)
 
-     DARWIN   - Darwin OS (synonym for Q_OS_MAC)
+     DARWIN   - Darwin OS (pure Darwin or Mac OS X using X11)
      MSDOS    - MS-DOS and Windows
      OS2      - OS/2
      OS2EMX   - XFree86 on OS/2 (not PM)
@@ -260,12 +260,15 @@
 #  define Q_OS_WIN
 #endif
 
-#if defined(Q_OS_DARWIN)
+#if defined(Q_OS_DARWIN) && !defined(__USE_WS_X11__)
+#  undef Q_OS_DARWIN
 #  define Q_OS_MAC /* Q_OS_MAC is mostly for compatibility, but also more clear */
 #  define Q_OS_MACX /* Q_OS_MACX is only for compatibility.*/
 #  if defined(Q_OS_DARWIN64)
+#     undef Q_OS_DARWIN64
 #     define Q_OS_MAC64
 #  elif defined(Q_OS_DARWIN32)
+#     undef Q_OS_DARWIN32
 #     define Q_OS_MAC32
 #  endif
 #endif
@@ -285,11 +288,11 @@
 #  define Q_OS_UNIX
 #endif
 
-#if defined(Q_OS_DARWIN) && !defined(QT_LARGEFILE_SUPPORT)
+#if ( defined(Q_OS_DARWIN) || defined(Q_OS_MAC) ) && !defined(QT_LARGEFILE_SUPPORT)
 #  define QT_LARGEFILE_SUPPORT 64
 #endif
 
-#ifdef Q_OS_DARWIN
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #  ifdef MAC_OS_X_VERSION_MIN_REQUIRED
 #    undef MAC_OS_X_VERSION_MIN_REQUIRED
 #  endif
@@ -476,7 +479,7 @@
 #    define Q_NO_TEMPLATE_FRIENDS
 #  endif
 /* Apple's GCC 3.1 chokes on our streaming qDebug() */
-#  if defined(Q_OS_DARWIN) && __GNUC__ == 3 && (__GNUC_MINOR__ >= 1 && __GNUC_MINOR__ < 3)
+#  if ( defined(Q_OS_DARWIN) || defined(Q_OS_MAC) ) && __GNUC__ == 3 && (__GNUC_MINOR__ >= 1 && __GNUC_MINOR__ < 3)
 #    define Q_BROKEN_DEBUG_STREAM
 #  endif
 #  if (defined(Q_CC_GNU) || defined(Q_CC_INTEL)) && !defined(QT_MOC_CPP)
@@ -751,7 +754,7 @@
 #  define Q_WS_PM
 #  error "Qt does not work with OS/2 Presentation Manager or Workplace Shell"
 #elif defined(Q_OS_UNIX)
-#  if defined(Q_OS_MAC) && !defined(__USE_WS_X11__) && !defined(Q_WS_QWS)
+#  if defined(Q_OS_MAC) && !defined(Q_WS_QWS)
 #    define Q_WS_MAC
 #    define Q_WS_MACX
 #    if defined(Q_OS_MAC64)
@@ -1330,7 +1333,7 @@
     static WinVersion windowsVersion();
 
 #endif
-#ifdef Q_OS_MAC
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
     enum MacVersion {
         MV_Unknown = 0x0000,
 
@@ -1904,7 +1907,7 @@
 Q_DECLARE_TYPEINFO(quint64, Q_PRIMITIVE_TYPE);
 Q_DECLARE_TYPEINFO(float, Q_PRIMITIVE_TYPE);
 Q_DECLARE_TYPEINFO(double, Q_PRIMITIVE_TYPE);
-#ifndef Q_OS_DARWIN
+#if !defined(Q_OS_DARWIN) && !defined(Q_OS_MAC)
 Q_DECLARE_TYPEINFO(long double, Q_PRIMITIVE_TYPE);
 #endif
 
diff -Nurd kde-qt/src/corelib/io/qfile.cpp kde-qt-new/src/corelib/io/qfile.cpp
--- kde-qt/src/corelib/io/qfile.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/io/qfile.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -66,7 +66,7 @@
 
 static QByteArray locale_encode(const QString &f)
 {
-#ifndef Q_OS_DARWIN
+#if !defined(Q_OS_DARWIN) && !defined(Q_OS_MAC)
     return f.toLocal8Bit();
 #else
     // Mac always expects UTF-8... and decomposed...
@@ -76,7 +76,7 @@
 
 static QString locale_decode(const QByteArray &f)
 {
-#ifndef Q_OS_DARWIN
+#if !defined(Q_OS_DARWIN) && !defined(Q_OS_MAC)
     return QString::fromLocal8Bit(f);
 #else
     // Mac always gives us UTF-8 and decomposed, we want that composed...
diff -Nurd kde-qt/src/corelib/io/qfilesystemwatcher.cpp kde-qt-new/src/corelib/io/qfilesystemwatcher.cpp
--- kde-qt/src/corelib/io/qfilesystemwatcher.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/io/qfilesystemwatcher.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -57,7 +57,7 @@
 #elif defined(Q_OS_LINUX)
 #  include "qfilesystemwatcher_inotify_p.h"
 #  include "qfilesystemwatcher_dnotify_p.h"
-#elif defined(Q_OS_FREEBSD) || defined(Q_OS_MAC)
+#elif defined(Q_OS_FREEBSD) || defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #  include "qfilesystemwatcher_kqueue_p.h"
 #endif
 
@@ -242,7 +242,7 @@
     if(!eng)
         eng = QDnotifyFileSystemWatcherEngine::create();
     return eng;
-#elif defined(Q_OS_FREEBSD) || defined(Q_OS_MAC)
+#elif defined(Q_OS_FREEBSD) || defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
     return QKqueueFileSystemWatcherEngine::create();
 #else
     return 0;
diff -Nurd kde-qt/src/corelib/io/qfsfileengine_unix.cpp kde-qt-new/src/corelib/io/qfsfileengine_unix.cpp
--- kde-qt/src/corelib/io/qfsfileengine_unix.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/io/qfsfileengine_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -424,7 +424,7 @@
         }
         return true;
     }
-#if defined(Q_OS_DARWIN)  // Mac X doesn't support trailing /'s
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC) // Mac X doesn't support trailing /'s
     if (dirName[dirName.length() - 1] == QLatin1Char('/'))
         dirName = dirName.left(dirName.length() - 1);
 #endif
diff -Nurd kde-qt/src/corelib/io/qprocess.cpp kde-qt-new/src/corelib/io/qprocess.cpp
--- kde-qt/src/corelib/io/qprocess.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/io/qprocess.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -1793,7 +1793,7 @@
 }
 
 QT_BEGIN_INCLUDE_NAMESPACE
-#ifdef Q_OS_MAC
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 # include <crt_externs.h>
 # define environ (*_NSGetEnviron())
 #elif defined(Q_OS_WINCE)
diff -Nurd kde-qt/src/corelib/io/qprocess_unix.cpp kde-qt-new/src/corelib/io/qprocess_unix.cpp
--- kde-qt/src/corelib/io/qprocess_unix.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/io/qprocess_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -527,7 +527,7 @@
     // if LD_LIBRARY_PATH exists in the current environment, but
     // not in the environment list passed by the programmer, then
     // copy it over.
-#if defined(Q_OS_MAC)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
     static const char libraryPath[] = "DYLD_LIBRARY_PATH";
 #else
     static const char libraryPath[] = "LD_LIBRARY_PATH";
@@ -642,7 +642,7 @@
     // Add every argument to the list
     for (int i = 0; i < arguments.count(); ++i) {
         QString arg = arguments.at(i);
-#ifdef Q_OS_MAC
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
         // Mac OS X uses UTF8 for exec, regardless of the system locale.
         argv[i + 1] = ::strdup(arg.toUtf8().constData());
 #else
@@ -1278,7 +1278,7 @@
 
             char **argv = new char *[arguments.size() + 2];
             for (int i = 0; i < arguments.size(); ++i) {
-#ifdef Q_OS_MAC
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
                 argv[i + 1] = ::strdup(arguments.at(i).toUtf8().constData());
 #else
                 argv[i + 1] = ::strdup(arguments.at(i).toLocal8Bit().constData());
diff -Nurd kde-qt/src/corelib/plugin/qlibrary.cpp kde-qt-new/src/corelib/plugin/qlibrary.cpp
--- kde-qt/src/corelib/plugin/qlibrary.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/plugin/qlibrary.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -522,7 +522,7 @@
     if (completeSuffix.isEmpty())
         return false;
     QStringList suffixes = completeSuffix.split(QLatin1Char('.'));
-# if defined(Q_OS_DARWIN)
+# if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 
     // On Mac, libs look like libmylib.1.0.0.dylib
     const QString lastSuffix = suffixes.at(suffixes.count() - 1);
diff -Nurd kde-qt/src/corelib/plugin/qlibrary_unix.cpp kde-qt-new/src/corelib/plugin/qlibrary_unix.cpp
--- kde-qt/src/corelib/plugin/qlibrary_unix.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/plugin/qlibrary_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -123,7 +123,7 @@
             suffixes << QLatin1String(".so");
         }
 #endif
-# ifdef Q_OS_MAC
+# if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
         if (!fullVersion.isEmpty()) {
             suffixes << QString::fromLatin1(".%1.bundle").arg(fullVersion);
             suffixes << QString::fromLatin1(".%1.dylib").arg(fullVersion);
diff -Nurd kde-qt/src/corelib/thread/qthread.cpp kde-qt-new/src/corelib/thread/qthread.cpp
--- kde-qt/src/corelib/thread/qthread.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/thread/qthread.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -64,7 +64,7 @@
 /*
 #  elif defined(Q_OS_HPUX)
 #   include <sys/pstat.h>
-#  elif defined(Q_OS_FREEBSD) || defined(Q_OS_OPENBSD) || defined(Q_OS_MAC)
+#  elif defined(Q_OS_FREEBSD) || defined(Q_OS_OPENBSD) || defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #   include <sys/sysctl.h>
 #  endif
 #endif
diff -Nurd kde-qt/src/corelib/thread/qthread_unix.cpp kde-qt-new/src/corelib/thread/qthread_unix.cpp
--- kde-qt/src/corelib/thread/qthread_unix.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/thread/qthread_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -352,7 +352,7 @@
 
     d->priority = priority;
 
-#if defined(Q_OS_DARWIN) || !defined(Q_OS_OPENBSD) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING) && (_POSIX_THREAD_PRIORITY_SCHEDULING-0 >= 0)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC) || ( !defined(Q_OS_OPENBSD) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING) && (_POSIX_THREAD_PRIORITY_SCHEDULING-0 >= 0) )
     switch (priority) {
     case InheritPriority:
         {
@@ -509,7 +509,7 @@
 
     // copied from start() with a few modifications:
 
-#if defined(Q_OS_DARWIN) || !defined(Q_OS_OPENBSD) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING) && (_POSIX_THREAD_PRIORITY_SCHEDULING-0 >= 0)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC) || ( !defined(Q_OS_OPENBSD) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING) && (_POSIX_THREAD_PRIORITY_SCHEDULING-0 >= 0) )
     int sched_policy;
     sched_param param;
 
diff -Nurd kde-qt/src/corelib/tools/qdumper.cpp kde-qt-new/src/corelib/tools/qdumper.cpp
--- kde-qt/src/corelib/tools/qdumper.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/tools/qdumper.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -481,7 +481,7 @@
         S(d, "completeBaseName", info.completeBaseName());
         S(d, "completeSuffix", info.completeSuffix());
         S(d, "baseName", info.baseName());
-#ifdef Q_OS_MACX
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
         BL(d, "isBundle", info.isBundle());
         S(d, "bundleName", info.bundleName());
 #endif
diff -Nurd kde-qt/src/corelib/tools/qsharedpointer.cpp kde-qt-new/src/corelib/tools/qsharedpointer.cpp
--- kde-qt/src/corelib/tools/qsharedpointer.cpp	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/tools/qsharedpointer.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -739,7 +739,7 @@
 #  ifdef QT_SHARED_POINTER_BACKTRACE_SUPPORT
 #    if defined(__GLIBC__) && (__GLIBC__ >= 2) && !defined(__UCLIBC__) && !defined(QT_LINUXBASE)
 #      define BACKTRACE_SUPPORTED
-#    elif defined(Q_OS_MACX)
+#    elif defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 #      define BACKTRACE_SUPPORTED
 #    endif
 #  endif
diff -Nurd kde-qt/src/corelib/xml/qxmlstream.h kde-qt-new/src/corelib/xml/qxmlstream.h
--- kde-qt/src/corelib/xml/qxmlstream.h	2009-06-25 12:38:59.000000000 -0400
+++ kde-qt-new/src/corelib/xml/qxmlstream.h	2009-06-28 09:57:32.000000000 -0400
@@ -84,7 +84,7 @@
 // We are taking the optimist scenario here to avoid creating more
 // symbols to be supported.
 
-#if defined(Q_OS_MAC32) || defined(Q_OS_AIX)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC32) || defined(Q_OS_AIX)
 # if !defined QT_BUILD_XML_LIB
 #  define Q_XMLSTREAM_RENAME_SYMBOLS
 # endif
diff -Nurd kde-qt/src/network/kernel/qhostinfo_unix.cpp kde-qt-new/src/network/kernel/qhostinfo_unix.cpp
--- kde-qt/src/network/kernel/qhostinfo_unix.cpp	2009-06-25 12:39:03.000000000 -0400
+++ kde-qt-new/src/network/kernel/qhostinfo_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -148,7 +148,7 @@
     if (address.setAddress(hostName)) {
         // Reverse lookup
 // Reverse lookups using getnameinfo are broken on darwin, use gethostbyaddr instead.
-#if !defined (QT_NO_GETADDRINFO) && !defined (Q_OS_DARWIN)
+#if !defined (QT_NO_GETADDRINFO) && !defined (Q_OS_DARWIN) && !defined (Q_OS_MAC)
         sockaddr_in sa4;
 #ifndef QT_NO_IPV6
         sockaddr_in6 sa6;
diff -Nurd kde-qt/src/network/ssl/qsslsocket_openssl_symbols.cpp kde-qt-new/src/network/ssl/qsslsocket_openssl_symbols.cpp
--- kde-qt/src/network/ssl/qsslsocket_openssl_symbols.cpp	2009-06-25 12:39:04.000000000 -0400
+++ kde-qt-new/src/network/ssl/qsslsocket_openssl_symbols.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -288,7 +288,7 @@
 static QStringList findAllLibSsl()
 {
     QStringList paths;
-#  ifdef Q_OS_DARWIN
+#  if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
     paths = QString::fromLatin1(qgetenv("DYLD_LIBRARY_PATH"))
             .split(QLatin1Char(':'), QString::SkipEmptyParts);
 #  else
diff -Nurd kde-qt/src/qt3support/other/q3process_unix.cpp kde-qt-new/src/qt3support/other/q3process_unix.cpp
--- kde-qt/src/qt3support/other/q3process_unix.cpp	2009-06-25 12:39:06.000000000 -0400
+++ kde-qt-new/src/qt3support/other/q3process_unix.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -789,7 +789,7 @@
 	} else { // start process with environment settins as specified in env
 	    // construct the environment for exec
 	    int numEntries = env->count();
-#if defined(Q_OS_MACX)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 	    QString ld_library_path(QLatin1String("DYLD_LIBRARY_PATH"));
 #else
 	    QString ld_library_path(QLatin1String("LD_LIBRARY_PATH"));
@@ -831,7 +831,7 @@
 			QFileInfo fileInfo( dir + "/" + command );
 #endif
 			if ( fileInfo.isExecutable() ) {
-#if defined(Q_OS_MACX)
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 			    arglistQ[0] = fileInfo.absFilePath().local8Bit();
 #else
 			    arglistQ[0] = fileInfo.filePath().local8Bit();
diff -Nurd kde-qt/src/qt3support/qt3support.pro kde-qt-new/src/qt3support/qt3support.pro
--- kde-qt/src/qt3support/qt3support.pro	2009-06-25 12:39:06.000000000 -0400
+++ kde-qt-new/src/qt3support/qt3support.pro	2009-06-28 09:57:32.000000000 -0400
@@ -26,6 +26,7 @@
    QMAKE_PKGCONFIG_REQUIRES = QtCore QtGui QtNetwork QtSql
 }
 mac:LIBS += -framework Carbon
+darwin-*:LIBS += -lresolv
 
 QMAKE_LIBS += $$QMAKE_LIBS_COMPAT $$QMAKE_LIBS_NETWORK
 DEFINES -= QT3_SUPPORT_WARNINGS
diff -Nurd kde-qt/src/script/qscriptengine_p.cpp kde-qt-new/src/script/qscriptengine_p.cpp
--- kde-qt/src/script/qscriptengine_p.cpp	2009-06-25 12:39:07.000000000 -0400
+++ kde-qt-new/src/script/qscriptengine_p.cpp	2009-06-28 09:57:32.000000000 -0400
@@ -1702,7 +1702,7 @@
     m_callDepth = 0;
 #if defined(Q_OS_WIN)
     m_maxCallDepth = 88;
-#elif defined(Q_OS_MAC)
+#elif defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
     m_maxCallDepth = 640;
 #elif defined(QT_ARCH_ARM) || defined(QT_ARCH_ARMV6)
     m_maxCallDepth = 360;
diff -Nurd kde-qt/src/sql/drivers/odbc/qsql_odbc.h kde-qt-new/src/sql/drivers/odbc/qsql_odbc.h
--- kde-qt/src/sql/drivers/odbc/qsql_odbc.h	2009-06-25 12:39:09.000000000 -0400
+++ kde-qt-new/src/sql/drivers/odbc/qsql_odbc.h	2009-06-28 10:32:45.000000000 -0400
@@ -49,7 +49,7 @@
 #include <QtCore/qt_windows.h>
 #endif
 
-#if defined (Q_OS_MAC) && (MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_3)
+#if (defined (Q_OS_DARWIN) || defined (Q_OS_MAC)) && (MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_3)
 // assume we use iodbc on MACX
 // comment next line out if you use a
 // unicode compatible manager
diff -Nurd kde-qt/tools/assistant/lib/fulltextsearch/qclucene-config_p.h kde-qt-new/tools/assistant/lib/fulltextsearch/qclucene-config_p.h
--- kde-qt/tools/assistant/lib/fulltextsearch/qclucene-config_p.h	2009-06-25 12:40:22.000000000 -0400
+++ kde-qt-new/tools/assistant/lib/fulltextsearch/qclucene-config_p.h	2009-06-28 09:57:32.000000000 -0400
@@ -347,7 +347,7 @@
 #endif
 
 #if !defined(__SUNPRO_CC) && !defined(__SUNPRO_C) && !defined(__MINGW32__) && \
-    !defined(Q_OS_MAC) && !defined(__HP_aCC)
+    !defined(Q_OS_DARWIN) && !defined(Q_OS_MAC) && !defined(__HP_aCC)
     /* Define to 1 if you have the `wcscasecmp' function. */
 #   ifndef _CL_HAVE_WCSCASECMP
 #   define _CL_HAVE_WCSCASECMP  1
diff -Nurd kde-qt/tools/designer/src/plugins/plugins.pro kde-qt-new/tools/designer/src/plugins/plugins.pro
--- kde-qt/tools/designer/src/plugins/plugins.pro	2009-06-25 12:40:26.000000000 -0400
+++ kde-qt-new/tools/designer/src/plugins/plugins.pro	2009-06-28 09:57:32.000000000 -0400
@@ -1,5 +1,7 @@
 TEMPLATE = subdirs
 CONFIG += ordered
+CONFIG -= lib_bundle
+QT_CONFIG -= qt_framework
 
 REQUIRES = !CONFIG(static,shared|static)
 contains(QT_CONFIG, qt3support): SUBDIRS += widgets
